From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-plugins/ladspa-bs2b/
Date: Sun, 8 Jan 2023 21:09:23 +0000 (UTC) [thread overview]
Message-ID: <1673212076.22cd904362c30ddaa479349fdc3b8278eb8c3aac.sping@gentoo> (raw)
commit: 22cd904362c30ddaa479349fdc3b8278eb8c3aac
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 8 21:07:08 2023 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Sun Jan 8 21:07:56 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22cd9043
media-plugins/ladspa-bs2b: Fix compilation for dash /bin/sh
Closes: https://bugs.gentoo.org/889426
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
.../ladspa-bs2b/ladspa-bs2b-0.9.1-r3.ebuild | 31 ++++++++++++++++++++++
1 file changed, 31 insertions(+)
diff --git a/media-plugins/ladspa-bs2b/ladspa-bs2b-0.9.1-r3.ebuild b/media-plugins/ladspa-bs2b/ladspa-bs2b-0.9.1-r3.ebuild
new file mode 100644
index 000000000000..fe0ab13e4dab
--- /dev/null
+++ b/media-plugins/ladspa-bs2b/ladspa-bs2b-0.9.1-r3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+inherit autotools
+
+DESCRIPTION="LADSPA plugin for bs2b headphone filter"
+HOMEPAGE="http://bs2b.sourceforge.net/"
+SRC_URI="mirror://sourceforge/bs2b/plugins/LADSPA%20plugin/${PV}/${P}.tar.bz2"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="media-libs/ladspa-sdk
+ >=media-libs/libbs2b-3.1.0"
+
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+ sed 's,dist-lzma,,' -i configure.ac || die
+ eautoreconf # bug 889426
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
next reply other threads:[~2023-01-08 21:09 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-01-08 21:09 Sebastian Pipping [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-09 23:07 [gentoo-commits] repo/gentoo:master commit in: media-plugins/ladspa-bs2b/ Sebastian Pipping
2024-10-09 18:06 Arthur Zamarin
2024-10-09 18:06 Arthur Zamarin
2024-10-09 14:00 Sebastian Pipping
2022-05-28 15:51 Sebastian Pipping
2019-11-23 18:19 Michał Górny
2019-11-12 10:45 Agostino Sarubbo
2019-11-12 10:05 Agostino Sarubbo
2019-10-20 19:37 Sebastian Pipping
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1673212076.22cd904362c30ddaa479349fdc3b8278eb8c3aac.sping@gentoo \
--to=sping@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox